#
# spec file for package harminv
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           harminv
Version:        1.3.1
Release:        12%{?dist}
Summary:        Solves the problem of harmonic inversion
%if 0%{?suse_version}
License:        GPL-2.0+
Group:          Productivity/Scientific/Electronics
%else
License:        GPLv2+
Group:          Applications/Engineering
%endif
Url:            http://ab-initio.mit.edu/wiki/index.php/Harminv
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  openblas-devel
%if 0%{?suse_version}
BuildRequires:  gcc-fortran
%else
BuildRequires:  gcc-gfortran
%endif
BuildRequires:  chrpath

%description
Harminv is a free program (and accompanying library) to solve the
problem of harmonic inversion — given a discrete-time, finite-length
signal that consists of a sum of finitely-many sinusoids (possibly
exponentially decaying) in a given bandwidth, it determines the
frequencies, decay constants, amplitudes, and phases of those
sinusoids.

%package devel
Requires:       %{name} = %{version}
Summary:        Harminv development files
%if 0%{?suse_version}
Group:          Development/Libraries/C and C++
%else
Group:	        Development/Libraries
%endif
Requires:	%name%{?_isa} = %version-%release

%description devel
Development files for %name

%prep
%setup -q

%build
export CFLAGS="%{optflags} -fPIC"
export CXXFLAGS="%{optflags} -fPIC"
export FFLAGS="%{optflags} -fPIC"
export LDFLAGS="$LDFLAGS -Wl,--as-needed"
%configure --enable-shared --with-blas=-lopenblas --with-lapack=-lopenblas
make

%install
%makeinstall
rm -f $RPM_BUILD_ROOT%_libdir/*.la
chrpath -d $RPM_BUILD_ROOT%_libdir/*.so.* $RPM_BUILD_ROOT%_bindir/harminv

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_libdir}/libharminv.so.*
%{_mandir}/man1/*
%doc AUTHORS COPY* NEWS README

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/*
%exclude %{_libdir}/libharminv.a
%{_libdir}/libharminv.so
%{_includedir}/*

%changelog
* Wed Jan 28 2015 Dave Love <d.love@liverpool.ac.uk> - 1.3.1-12
- Make devel depend on main package

* Sat Jan 24 2015 Dave Love <d.love@liverpool.ac.uk> - 1.3.1-11
- Don't install .a
- Use openblas
- Link --as-needed
- Purge rpath

* Thu Jan  2 2014 Dave Love <d.love@liverpool.ac.uk> - 1.3.1-10
- Support Red Hat derivatives
- Make -devel package
- Add doc files

* Fri May 11 2012 scorot@free.fr
- remove conditional BuildRequires for blas and lapack since
  recent lapack now build correctly for all suse version
* Sat Apr 14 2012 badshah400@gmail.com
- Update BuildRequires in keeping with lapack package naming
  changes
- Spec file cleanups
- Modify License in keeping with spdx.org specifications.
